%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define svnrel 98964

Summary: Port of WebKit to EFL
Name: webkit-efl
Version: 0.1.0
Release: %mkrel -c r%svnrel 3
License: LGPLv2+
Group: Graphical desktop/Enlightenment
URL: http://trac.enlightenment.org/e/wiki/EWebKit
Source: %name-svn-r%{svnrel}.tar.bz2
Patch0: webkit-efl-svn-r98964-libinstall.patch
Patch1: webkit-efl-svn-r98964-curl-link.patch
Patch2: webkit-efl-remove-minor-in-dep.patch
Patch3: webkit-efl-fix-lib64-install-v2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake
BuildRequires: bison
BuildRequires: flex
BuildRequires: gperf
BuildRequires: ecore-devel
BuildRequires: edje
BuildRequires: embryo
BuildRequires: edje-devel
BuildRequires: evas-devel
BuildRequires: eina-devel
BuildRequires: icu-devel
BuildRequires: jpeg-devel
BuildRequires: png-devel
BuildRequires: sqlite3-devel
BuildRequires: curl-devel
BuildRequires: libgstreamer0.10-plugins-base-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype2-devel
BuildRequires: cairo-devel
BuildRequires: gtk+2-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel

%description
Also known as WebKit-EFL, this is the port of WebKit to EFL. In order to
keep it general and as independent as possible it uses (directly) a small
subset of EFL libraries: Evas, Ecore and Edje. Complex non-HTML elements
such as menus are delegated by means of callbacks that one should implement
as desired, probably using Elementary as Eve does.

%package -n %libname
Summary: Enlightenment WebKit Library
Group: System/Libraries

%description -n %libname
Enlightenment WebKit Library.

%package -n %develname
Summary: Enlightenment WebKit Library - devel files
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: ewebkit-devel = %version-%release

%description -n %develname
ewebkit development headers and development libraries.

%prep
%setup -qn %name-svn-r%svnrel
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%cmake ../Source -DPORT=Efl -DSHARED_CORE=OFF -DCMAKE_BUILD_TYPE=Release -DNETWORK_BACKEND=curl
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%files -n %libname
%{_datadir}/ewebkit-0
%{_libdir}/libewebkit.so.0
%{_libdir}/libewebkit.so.0.*

%files -n %develname
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/ewebkit-0


%changelog

* Thu Nov 03 2011 trem <trem> 0.1.0-0.r98964.3.mga2
+ Revision: 162520
- add a patch to fix lib install on x86_64
- imported package webkit-efl

